@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@300;400;700&display=swap");
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

p {
    margin: 5px 0;
    align-content: center;
}

li {
    list-style: none;
}

#canvas {
	position: absolute;
	display: block;
	top: 0;
	left: 0;
	z-index: -1;
}

body {
    background: linear-gradient(101.07deg, #2e3c87 7.93%, #10948d 93.3%);
    font-family: "Nunito", sans-serif;
    display: flex;
    justify-content: center;
    position: relative;
}

.container {
    margin: auto;
    width: 500px;
    height: calc(100vh - 20px);
    margin: 20px 0 0 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    color: #fff;
}

#particles-js {
    position: absolute;
    width: 100%;
    height: 100%;
}

.container .profile {
    width: 104px;
    margin-bottom: 20px;
    height: 104px;
    border-radius: 50%;
    object-fit: cover;
    z-index: 99;
}

.container h2 {
    margin: 0;
    font-size: 18px;
}

.container .subtitle {
    font-size: 14px;
    color: #e3e3e3;
}

.social-media-container {
    display: flex;
    height: 65px;
    width: 223px;
    justify-content: space-around;
    align-items: center;
    background: rgba(224, 224, 224, 0.35);
    border-radius: 50px;
    position: absolute;
    top: -32px;
    left: calc(50% - 111px);
}

.social-media-container a {
    background: #fff;
    border-radius: 50%;
    width: 48px;
    height: 48px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.social-media-container svg {
    color: #10948d;
}

.info-container {
    background: #fff;
    width: 100%;
    height: 100%;
    border-radius: 50px 50px 0 0;
    position: relative;
    margin-top: 40px;
}

.content {
    padding: 50px 30px 20px;
    width: 100%;
    color: #43085f;
    overflow: hidden;
    position: relative;
}

.secondary-content {
    visibility: hidden;
    background: #fff;
    width: 100%;
    height: 100%;
    position: absolute;
    left: 100%;
    top: 50px;
    z-index: 2;
    padding: 0 30px;
}

.secondary-content h3 {
    display: flex;
    align-items: center;
    margin-bottom: 30px;
}

.secondary-content h3 svg {
    margin-right: 10px;
}

.secondary-content.show {
    animation: content-show 0.5s forwards;
}

.secondary-content.hide {
    animation: content-hide 0.5s forwards;
}

@keyframes content-show {
    0% {
    left: 100%;
    visibility: hidden;
    }
    100% {
    left: 0;
    visibility: visible;
    }
}

@keyframes content-hide {
    0% {
    left: 0;
    visibility: visible;
    }
    100% {
    left: 100%;
    visibility: hidden;
    }
}

.video-container {
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 250px;
    border-radius: 16px;
    margin: 20px 0;
}

.video-container iframe {
    position: absolute;
    width: 100%;
    height: 100%;
}

.link {
    margin: 15px auto;
    width: 100%;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #bcbcbc;
    border-radius: 16px;
    text-decoration: none;
    color: #43085f;
    cursor: pointer;
    -webkit-box-shadow: 4px 4px 18px -5px rgba(179, 179, 179, 0.72);
    -moz-box-shadow: 4px 4px 18px -5px rgba(179, 179, 179, 0.72);
    box-shadow: 4px 4px 18px -5px rgba(179, 179, 179, 0.72);
}

.link.highlight {
    background: #10948d;
    border: 1px solid #10948d;
    color: #fff;
    font-weight: bold;
}
